CREATE TABLE `optimistic` (
  `DESC_TEXT` varchar(400) DEFAULT NULL COMMENT '描述',
  `CREATED_BY` varchar(72) NOT NULL COMMENT '创建用户',
  `CREATED_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `MODIFIED_BY` varchar(72) NOT NULL COMMENT '更新用户',
  `MODIFIED_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `MODIFIED_NO` int(8) NOT NULL DEFAULT '0' COMMENT '更新次数',
  `PARTITION_KEY` smallint(4) NOT NULL COMMENT '分区键',
  `EXTENDED_FIELD1` varchar(4) DEFAULT NULL,
  `EXTENDED_FIELD2` varchar(4) DEFAULT NULL,
  `EXTENDED_FIELD3` varchar(4) DEFAULT NULL,
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table optimistic add   `DESC_TEXT` varchar(400) DEFAULT NULL COMMENT '描述';
alter table optimistic add   `CREATED_BY` varchar(72) NOT NULL COMMENT '创建用户';
alter table optimistic add   `CREATED_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间';
alter table optimistic add   `MODIFIED_BY` varchar(72) NOT NULL COMMENT '更新用户';
alter table optimistic add   `MODIFIED_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间';
alter table optimistic add   `MODIFIED_NO` int(8) NOT NULL DEFAULT '0' COMMENT '更新次数';
alter table optimistic add   `PARTITION_KEY` smallint(4) NOT NULL COMMENT '分区键';
alter table optimistic add   `EXTENDED_FIELD1` varchar(4) DEFAULT NULL;
alter table optimistic add   `EXTENDED_FIELD2` varchar(4) DEFAULT NUL;
alter table optimistic add   `EXTENDED_FIELD3` varchar(4) DEFAULT NULL;